﻿@model IEnumerable<Innovix_task.Data.Entities.Reservation>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.From)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.To)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AdultsNumber)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ChildsNumber)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.IsFinished)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.IsPaid)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Guest)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Room)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.From)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.To)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.AdultsNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ChildsNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsFinished)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsPaid)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Guest.Id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Room.Id)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.Id">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
